"use strict";

const fs = require('fs');

const postcss = require('postcss');

function expectRunPostCss(inputFile, outputfile, cb) {
  const inputStr = fs.readFileSync(inputFile, 'utf-8');
  postcss(plugins).process(inputStr, {
    from,
    to
  }).then(result => {
    expect(result.css).toBe(fs.readFileSync(outputfile, 'utf-8'));
    cb();
  });
}

describe('To Check Hover active postcss Plugin  ', () => {
  test('should handle normal rule hover', cb => {
    expectRunPostCss('test1Input.css', 'test1Output.css', cb);
  });
});